variables:
  GIT_SUBMODULE_STRATEGY: recursive

include:
  - template: Dependency-Scanning.gitlab-ci.yml
  - template: Security/SAST.gitlab-ci.yml
  - template: Security/License-Scanning.gitlab-ci.yml
  - template: Code-Quality.gitlab-ci.yml

stages:
  - lint
  - test

eslint:
  stage: lint
  image: node:18.16
  before_script:
    - npm config set "@fortawesome:registry" https://npm.fontawesome.com/
    - npm config set "//npm.fontawesome.com/:_authToken" $FA_TOKEN
    - npm install
  script:
    - npx eslint

code_quality:
  variables:
    REPORT_FORMAT: html
  artifacts:
    paths: [gl-code-quality-report.html]
